Subject: Re: [bug#53837] [PATCH] gnu: Remove leftover patch files.

From: zimoun <[email-masked]>
Date: Wed, 23 Feb 2022 15:18:34 +0100

Hi,

On Thu, 10 Feb 2022 at 21:56, Ludovic Courtès <[email-masked]> wrote:

> To be on the safe side, you can run “make as-derivation” before pushing.
> Of course that will only catch serious issues, but if other issues come
> up (unlikely), we’ll follow up.

For some rare cases, "make as-derivation" does not catch some errors;
so when I want to be 100% sure, instead I run:

    ./pre-inst-env guix pull -p /tmp/new --url=$(pwd)

specifying the branch if different from master.  Or something along
this line.  However, then it is possible that the authentication
mechanism needs to be restored. :-)

Cheers,
simon